## golang-github-mailgun-multibuf 0.0~git20150714.565402c

=== Makefile ===
clean:
	find . -name flymake_* -delete

test: clean
	go test -v .

test-grep: clean
	go test -v . -check.f=$(e)

cover: clean
	go test -v .  -coverprofile=/tmp/coverage.out
	go tool cover -html=/tmp/coverage.out

=== debian/changelog ===
golang-github-mailgun-multibuf (0.0~git20150714.565402c-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + golang-github-mailgun-multibuf-dev: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Oct 2022 14:40:21 +0100

golang-github-mailgun-multibuf (0.0~git20150714.565402c-2) unstable; urgency=medium

  * Source only upload.
  * d/control: Bump S-V.

 -- Aloïs Micard <creekorful@debian.org>  Tue, 24 Aug 2021 23:06:37 +0200

golang-github-mailgun-multibuf (0.0~git20150714.565402c-1) unstable; urgency=medium

  * Initial release (Closes: #991680)

 -- Aloïs Micard <creekorful@debian.org>  Fri, 30 Jul 2021 12:45:56 +0200

=== debian/control ===
Source: golang-github-mailgun-multibuf
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Aloïs Micard <creekorful@debian.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-gopkg-check.v1-dev <!nocheck>
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-mailgun-multibuf
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-mailgun-multibuf.git
Homepage: https://github.com/mailgun/multibuf
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/mailgun/multibuf

Package: golang-github-mailgun-multibuf-dev
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Seekable and persistable bytes buffer (library)
 This library provides a buffer optimized for streaming large chunks of data,
 allowing multiples reads and optional buffering to disk.

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://github.com/mailgun/multibuf.git \
  HEAD debian

# Use the following when upstream starts to tag releases:
#
#version=4
#opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-github-mailgun-multibuf-$1.tar.gz%,\
#      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
#  https://github.com/mailgun/multibuf/tags .*/v?(\d\S*)\.tar\.gz debian
